spatialite_osm_raw(1)

NAME
spatialite_osm_raw - load "raw" OSM maps into a SpatiaLite DB

SYNOPSIS
\FCspatialite_osm_raw\F[]
[\FC-h\F[]] [\FC-o\F[] pathname] [\FC-d\F[] pathname] [\FC-cs\F[] num] [\FC-m\F[]] [\FC-jo\F[]]

DESCRIPTION
spatialite_osm_raw is a tool for loading "raw" OSM maps into a SpatiaLite DB.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-o\F[] pathname, \FC--osm-path\F[] pathname
    the OSM-XML file path

    both OSM-XML (*.osm) and OSM-ProtoBuf (*.osm.pbf) are indifferently supported.

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-cs\F[] num, \FC--cache-size\F[] num
    DB cache size (how many pages)

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database

\FC-jo\F[], \FC--journal-off\F[]
    unsafe (but faster) mode